NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::AME::BulkEngineeringObjectBuilder Class Reference

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation. More...

Inheritance diagram for NXOpen::AME::BulkEngineeringObjectBuilder:
NXOpen::AME::MultipleObjectsBuilder NXOpen::AME::AMEBaseBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AspectPlacement ()
 Returns the aspect placement
Created in NX11.0.0. More...
 
NXOpen::AME::EODefAttributeHolderEoDefAttributeHolder ()
 Returns the def
Created in NX11.0.0. More...
 
NXOpen::AME::EngineeringObjectNameBuilderEOName ()
 Returns the eo name and description ui block
Created in NX11.0.0. More...
 
NXOpen::Tooling::SelectReuseLibraryItemBuilderReuseLibraryItem ()
 Returns the selection definition builder
Created in NX12.0.0. More...
 
NXOpen::AME::SelectionEngineeringObjectDefinitionBuilderSelectedEngObjectDefinition ()
 Returns the selected eo def
Created in NX11.0.0. More...
 
NXOpen::AME::SelectAMEBaseNodeListSelectedObjects ()
 Returns the select object
Created in NX11.0.0. More...
 
void SetAspectPlacement (bool aspectPlacement)
 Sets the aspect placement
Created in NX11.0.0. More...
 
void SetShowInAutomation (bool showInAutomation)
 Sets the show in automation
Created in NX11.0.0. More...
 
void SetShowInFunction (bool showInFunction)
 Sets the show in function
Created in NX11.0.0. More...
 
void SetShowInLocation (bool showInLocation)
 Sets the show in location
Created in NX11.0.0. More...
 
void SetShowInProduct (bool showInProduct)
 Sets the show in product
Created in NX11.0.0. More...
 
bool ShowInAutomation ()
 Returns the show in automation
Created in NX11.0.0. More...
 
bool ShowInFunction ()
 Returns the show in function
Created in NX11.0.0. More...
 
bool ShowInLocation ()
 Returns the show in location
Created in NX11.0.0. More...
 
bool ShowInProduct ()
 Returns the show in product
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::AME::MultipleObjectsBuilder
std::vector< NXOpen::NXObject * > GetNewObjects ()
 Get the commited Aspect. More...
 

Detailed Description

BulkEngineeringObjectBuilder class will be used for bulk Engineering Object Operation.


To create a new instance of this class, use NXOpen::AME::AMEManager::CreateBulkEngineeringObjectBuilder
Default values.

Property Value

AspectPlacement

false

ShowInAutomation

false

ShowInFunction

false

ShowInLocation

false

ShowInProduct

false


Created in NX11.0.0.

Member Function Documentation

bool NXOpen::AME::BulkEngineeringObjectBuilder::AspectPlacement ( )

Returns the aspect placement
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::EODefAttributeHolder* NXOpen::AME::BulkEngineeringObjectBuilder::EoDefAttributeHolder ( )

Returns the def
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::EngineeringObjectNameBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::EOName ( )

Returns the eo name and description ui block
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::Tooling::SelectReuseLibraryItemBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::ReuseLibraryItem ( )

Returns the selection definition builder
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::SelectionEngineeringObjectDefinitionBuilder* NXOpen::AME::BulkEngineeringObjectBuilder::SelectedEngObjectDefinition ( )

Returns the selected eo def
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::SelectAMEBaseNodeList* NXOpen::AME::BulkEngineeringObjectBuilder::SelectedObjects ( )

Returns the select object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

void NXOpen::AME::BulkEngineeringObjectBuilder::SetAspectPlacement ( bool  aspectPlacement)

Sets the aspect placement
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
aspectPlacementaspectplacement
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInAutomation ( bool  showInAutomation)

Sets the show in automation
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInAutomationshowinautomation
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInFunction ( bool  showInFunction)

Sets the show in function
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInFunctionshowinfunction
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInLocation ( bool  showInLocation)

Sets the show in location
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInLocationshowinlocation
void NXOpen::AME::BulkEngineeringObjectBuilder::SetShowInProduct ( bool  showInProduct)

Sets the show in product
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
showInProductshowinproduct
bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInAutomation ( )

Returns the show in automation
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInFunction ( )

Returns the show in function
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInLocation ( )

Returns the show in location
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

bool NXOpen::AME::BulkEngineeringObjectBuilder::ShowInProduct ( )

Returns the show in product
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.